<bugID>659907<Summary>Expand console object with a dir method that displays an interactive listing of all the properties of an object.</Summary><Description>As described in bug 644596, we have to implement the rest of the de-facto standard methods in the console object. This bug will track the work for dir().</Description></bugID>